
file_id = "UIOUSB_CONF"


--[[
******************************************************************************

   UIOUSB デバイスに下記の初期設定を行う

   I/O ポート bit#0     入力 & プルアップ
              bit#1..#7 出力

   I/O ポート bit#0 の値が変化した場合にイベント送信

   A/D #0 変換値が 9 以上変化した場合にイベント送信
   
******************************************************************************
]]

------------------
-- BEGIN SCRIPT --
------------------

log_msg("start..",file_id)

if not uio_command("dcfg 0x01") then error() end

if not uio_command("pullup 1") then error() end

if not uio_command("ad_margin0 9") then error() end

if not uio_command("ad_margin1 0") then error() end

if not uio_command("ad_margin2 0") then error() end

if not uio_command("ad_margin3 0") then error() end

if not uio_command("change_detect 0x01") then error() end

------------------------------------------------------------------------------------
-- コンフィギュレーションを EEPROM に書き込む コマンド実行時間が100ms 以上かかるので
-- タイムアウト検出をデフォルトの 100ms から 1000ms に変更してコマンド実行する
------------------------------------------------------------------------------------

if not uio_command("save",1000) then error() end

log_msg("end.",file_id)

------------------
-- END SCRIPT   --
------------------


