
file_id = "UIOUSB_EVENT_DATA"

--[[

******************************************************************************
* イベントハンドラスクリプト実行時間について                                 *
******************************************************************************

一つのスクリプトの実行は長くても数秒以内で必ず終了するようにしてください。
処理に時間がかかると、イベント処理の終了を待つサーバー側でタイムアウトが発生します。

また、同時実行可能なスクリプトの数に制限があるため、他のスクリプトの実行開始が
待たされる原因にもなります。

頻繁には発生しないイベントで、処理時間がかかるスクリプトを実行したい場合は
スクリプトを別に作成して、このイベントハンドラ中から script_fork_exec() を使用して
別スレッドで実行することを検討してください。

******************************************************************************


UIOUSB_EVENT_DATA スクリプト起動時に渡される追加パラメータ

---------------------------------------------------------------------------------
キー値			値		            									値の例
---------------------------------------------------------------------------------

COMPort			イベントを送信した UIOUSB デバイスのポート名			"COM3"

EVENT_DATA_COUNT	UIOUSB EVENT データカラム数									2

EVENT_DATA_<Column#>	UIOUSB EVENT データ値(ASCII 文字列)
				EVENT_DATA__1 は常にイベントプリフィックス文字列を表す		"$$$"
				"$$$" 文字列

				EVENT_DATA_2 はイベント名が入る								"SAMPLING"


				EVENT_DATA_3以降のデータはイベント毎に決められた、
				オプション文字列が入る	

				<Column#> には 最大、EVENT_DATA_COUNT まで 1から順番に
				インクリメントされた値が入る。

]]


--[[
local event_data = "";
local tkey,i;
local max_idx = tonumber(g_params["EVENT_DATA_COUNT"]);
for i = 1,max_idx,1 do
	tkey = "EVENT_DATA_" .. tostring(i);
	if (i == 1) then
		event_data = g_params[tkey]
	else
		event_data = event_data .. "," .. g_params[tkey]
	end;
end;
log_msg(g_params["COMPort"] ..  " EventData = " .. event_data,file_id)
]]

log_msg(g_params["COMPort"] ..  " EventData = " .. g_params["EVENT_DATA_WHOLE"],file_id)



----------------------------------------------------
-- Ballbouncing_xxxxx_xxxxx.pde Processing デモ用
----------------------------------------------------

if g_params["EVENT_DATA_2"] == "ADVAL_UPDATE" then
	if bit_and(tonumber(g_params["EVENT_DATA_3"],16),0x01) > 0 then
		------------------------------------------------
		-- Ballbouncing_xxxxx_UDP.pde Processing デモ用
		------------------------------------------------
		if not udp_send_data("localhost",8091,"AD" .. g_params["EVENT_DATA_4"]) then error() end

	end;
end;


if g_params["EVENT_DATA_2"] == "CHANGE_DETECT" then
	if (bit_and(tonumber(g_params["EVENT_DATA_3"],16),0x01) > 0 ) and (bit_and(tonumber(g_params["EVENT_DATA_4"],16),0x01) == 0) then
		------------------------------------------------
		-- Ballbouncing_xxxxx_UDP.pde Processing デモ用
		------------------------------------------------
		if not udp_send_data("localhost",8091,"SW" .. g_params["EVENT_DATA_4"]) then error() end

	end;
end;


